# gio.FileIcon

Icons pointing to an image file.

## Synopsis

gio.FileIcon
gobject.GObject
gio.Icon
gio.LoadableIcon
gio.FileIcon
file
get_file

## Ancestry

    +-- gobject.GObject
      +-- gio.FileIcon

## Description

The `gio.FileIcon` specifies an icon by pointing to an image file to be used as icon.

## Constructor

                gio.FileIcon
                file

`file` :

  a `gio.File`

Returns :

  a new `gio.FileIcon` for the given file, or `None` on error.

Creates a new icon for a file.

## Methods

### gio.FileIcon.get_file

                    get_file

Returns :

  a `gio.File` or `None`.

The `get_file`() method gets the `gio.File` associated with the given icon.